from employees import read_csv

# Wszystkie szczegóły związane z dostępem do pliku, są ukryte w tej funkcji
emps = read_csv('emps.csv')

# Aby wykonać operacje "dla każdego pracownika", wykonujemy pętlę po elementach listy `emps`.
# Pojedynczy element `emp` to obiekt klasy `Employee`, a dane pracownika są dostępne3 w postaci atrybutów tego obiektu,
# np. `.first_name`, `.salary`
for emp in emps:
    print(f'Pracownik {emp.first_name} {emp.last_name} ({emp.job_title}) zarabia ${emp.salary}')
